Perch Update 3.2

  • Hi there


    We are delighted to announce the latest update for Perch and Perch Runway, version 3.2. The latest update will resolve a number of PHP 8 compatibility issues discovered through our support forums.


    To install version 3.2, please visit www.grabaperch.com/update/v3-2.


    This is a small and significant step for Perch and we are on target to release version 4 in the near future.


    Thanks
    Perch

  • This is reassuring news and definitely a step in the right direction.

    Could you please confirm that you are working on a first party fix for Shop App/Stripe SCA support. My understanding is that although deadline in the the UK has moved back to September 2021. The EU is starting to switch from June.

  • This is reassuring news and definitely a step in the right direction.

    Could you please confirm that you are working on a first party fix for Shop App/Stripe SCA support. My understanding is that although deadline in the the UK has moved back to September 2021. The EU is starting to switch from June.


    Hi ndwl


    I can confirm we are working on Stripe as a top priority.


    Thanks

    George

  • Hey guys not sure if this is an issue or not but I upgraded to Perch 3.2 for one of my clients. Everything appeared to be working properly but when I tried to submit a form I got a html 500 error. When I downgraded to Perch 7.4 all was fine and I could submit forms again.


    I checked my error log and it appears as though there is an issue here /perch/core/lib/PHPMailer.class.php


    Can someone on the Perch team confirm that all is good with the file above and the perch_forms/PerchForms_Form.class.php file Those appear to be the areas of disconnect when I update PHP to 8.


    Here is my error log:


    Code
    1. [Thu May 13 10:41:50.872631 2021] [proxy_fcgi:error] [pid 602779:tid 140661252683520] [client 97.118.92.62:0] AH01071: Got error 'PHP message: PHP Fatal error: Uncaught Error: Call to undefined function set_time_limit() in /home/xxxx/yyy/donkeyKong/perch/core/lib/PHPMailer.class.php:4365\nStack trace:\n#0 /home/xxxx/yyy/donkeyKong/perch/core/lib/PHPMailer.class.php(1667): PHPMailer_SMTP->connect()\n#1 /home/xxxx/yyy/donkeyKong/perch/core/lib/PHPMailer.class.php(1547): PHPMailer->smtpConnect()\n#2 /home/xxxx/yyy/donkeyKong/perch/core/lib/PHPMailer.class.php(1342): PHPMailer->smtpSend()\n#3 /home/xxxx/yyy/donkeyKong/perch/core/lib/PHPMailer.class.php(1220): PHPMailer->postSend()\n#4 /home/xxxx/yyy/donkeyKong/perch/core/lib/PerchEmail.class.php(341): PHPMailer->send()\n#5 /home/xxxx/yyy/donkeyKong/perch/addons/apps/perch_forms/PerchForms_Form.class.php(304): PerchEmail->send()\n#6 /home/xxxx/yyy/donkeyKong/perch/addons/apps/perch_forms/PerchForms_Form.class.php(142): PerchForms_Form->_send_email()\n#7 /home/xxxx/yyy/donkeyKong/perch/addon...', referer: https://www.donkeyKong.com/
  • Hi seoMatt (and everyone!)


    Just to let you know, I have raised your issue with the development team and will keep you updated as I hear back from them.


    I (alongside my team) will be working in a community manager role, to monitor the forums, escalate any technical issues, and keep everyone updated.

  • Hi George, Hi Gareth


    I would also like to add weight to the request that we REALLY need a fix to the SCA stripe issue. We have 3 x Perch Runway clients in particular where this will become a cliff-edge event for us in September and we simply have to avoid that. This might sound a bit selfish, but I'd appreciate if this moves to the very top of your fix list...

  • Just to confirm, Gareth S . Are addons also being tested and updated to work with PHP8?


    I usually use the forms add-on on most of my sites, and often blog too. Shop would need to be updated to support PHP8 as well. Ideally all the first party addons. Otherwise the work on core is a little pointless. I would say the vast majority of perch sites would use at least one of the addons as well.


    I assume all the addons support PHP 7.4 currently? As 7.3 is being deprecated on the 6th December and removed from my hosts supported PHP versions. Is there a version or update history page somewhere for the addons? So that I can check my sites have the latest addon versions when updating to Perch v3.2 or 3.3 when ready.